#pragma once

#include <string>
#include <vector>
#include <fstream>
#include <sstream>
#include <list>

using namespace std;



class MonoCNFInstance
{
private:

	int m_n;
	int m_m;

	vector<vector<int>> m_instance; 	
	vector<int> m_helper;

public:
	MonoCNFInstance(void);
	~MonoCNFInstance(void);

	void Load(string path);

	int GetCriticalIndex(const vector<int> perm);

	int GetVarsNum();

private:
	vector<string> Split(const string &s, char delim, vector<string> &elems);
};

